Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Interface MuleConfigurationServiceMBean

All Known Implementing Classes:
  MuleConfigurationService

    public interface MuleConfigurationServiceMBean

`MuleConfigurationServiceMBean` is a JMx service interface for the Mule server configuration. This is read-only after start-up

Field Summary
`static String` | `DEFAULT_JMX_NAME`

Method Summary
`String` | `getEncoding()`
`int` | `getShutdownTimeout()`
`String` | `getStackTraceFilter()`
`int` | `getSynchronousEventTimeout()`
`int` | `getTransactionTimeout()`
`String` | `getWorkingDirectory()`
`boolean` | `isContainerMode()`
`boolean` | `isFullStackTraces()`
`void` | `setFullStackTraces(boolean sanitize)`
`void` | `setStackTraceFilter(String filterAsString)` Comma-separated list of packages and/or classes to remove.

Field Detail

### DEFAULT_JMX_NAME

    static final String DEFAULT_JMX_NAME

See Also:
  Constant Field Values

Method Detail

### getSynchronousEventTimeout

    int getSynchronousEventTimeout()

### getWorkingDirectory

    String getWorkingDirectory()

### getTransactionTimeout

    int getTransactionTimeout()

### getShutdownTimeout

    int getShutdownTimeout()

### getEncoding

    String getEncoding()

### isContainerMode

    boolean isContainerMode()

### isFullStackTraces

    boolean isFullStackTraces()

### setFullStackTraces

    void setFullStackTraces(boolean sanitize)

### getStackTraceFilter

    String getStackTraceFilter()

### setStackTraceFilter

    void setStackTraceFilter(String filterAsString)

  Comma-separated list of packages and/or classes to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.